﻿using Newtonsoft.Json.Linq;
using PTMedicalInsurance.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    class OPAdmUploadProcess : AbstractProcess
    {
        public override CallResult Process(JObject joInput)
        {
            // 仅保留mdtrtinfo、diseinfo
            JObject joParams = (JObject)joInput.DeepClone();
            joParams.Remove("data");
            joParams.Remove("settlement");

            JObject jo2203Rtn = invoker.invokeCenterService(TradeEnum.OutpatientAdmUploadA, joParams);
            if (JsonHelper.parseCenterRtnValue(jo2203Rtn, out outParam) != 0)
            {
                return Error("门诊就诊信息上传失败");
            }
            return Success();
        }
    }
}
