﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity
{
    // 【9101】文件上传 - 输入参数定义类
    public class FileUploadInput
    {
        /// <summary>
        /// 文件数据
        /// </summary>
        public byte[] file_data { get; set; }

        /// <summary>
        /// 文件名
        /// </summary>
        public string filename { get; set; }

        /// <summary>
        /// 医药机构编号
        /// </summary>
        public string fixmedins_code { get; set; }
    }

    // 【9101】文件上传 - 输出参数定义类
    public class FileUploadOutput
    {
        /// <summary>
        /// 文件查询号
        /// </summary>
        public string file_query_no { get; set; }

        /// <summary>
        /// 文件名
        /// </summary>
        public string filename { get; set; }

        /// <summary>
        /// 医药机构编号
        /// </summary>
        public string fixmedins_code { get; set; }

        /// <summary>
        /// 截止时间
        /// </summary>
        public string dld_endtime { get; set; }
    }

}
