﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity
{
    // 【9001】签到 - 输入参数定义类
    public class SignInInput
    {
        /// <summary>
        /// 操作员编号
        /// </summary>
        public string opter_no { get; set; }

        /// <summary>
        /// 签到 MAC 地址
        /// </summary>
        public string mac { get; set; }

        /// <summary>
        /// 签到 IP 地址
        /// </summary>
        public string ip { get; set; }
    }

    // 【9001】签到 - 输出参数定义类
    public class SignInOutput
    {
        /// <summary>
        /// 签到时间
        /// </summary>
        public DateTime sign_time { get; set; }

        /// <summary>
        /// 签到编号
        /// </summary>
        public string sign_no { get; set; }
    }

}
